> For the complete documentation index, see [llms.txt](https://docs.seldon.ai/seldon-core-2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seldon.ai/seldon-core-2/resources/apis/cli/seldon_pipeline/seldon_pipeline_infer.md).

# Pipeline Infer

run inference on a pipeline

## Synopsis

call a pipeline with a given input and get a prediction

```
seldon pipeline infer <pipelineName> (data) [flags]
```

## Options

```
      --authority string        authority (HTTP/2) or virtual host (HTTP/1)
  -f, --file-path string        inference payload file
      --header stringArray      add a header, e.g. key=value; use the flag multiple times to add more than one header
  -h, --help                    help for infer
      --inference-host string   seldon inference host (default "0.0.0.0:9000")
      --inference-mode string   inference mode (rest or grpc) (default "rest")
  -i, --iterations int          how many times to run inference (default 1)
  -t, --seconds int             number of secs to run inference
      --show-headers            show request and response headers
  -r, --show-request            show request
  -o, --show-response           show response (default true)
  -s, --sticky-session          use sticky session from last inference (only works with experiments)
```

## SEE ALSO

* [seldon pipeline](/seldon-core-2/resources/apis/cli/seldon_pipeline.md) - manage pipelines


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.seldon.ai/seldon-core-2/resources/apis/cli/seldon_pipeline/seldon_pipeline_infer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
